import { Module } from '@nestjs/common';

import { RouterModule } from '@nestjs/core';

import { UserModule } from '../user/user.module';

import { NetDiskManageController } from './manager/manage.controller';
import { NetDiskOverviewController } from './overview/overview.controller';
import { NetDiskOverviewService } from './overview/overview.service';
import { MinioService } from './minio/minio.service';
import { NetDiskManageService } from './manager/manage.service';

@Module({
  imports: [
    UserModule,
    RouterModule.register([
      {
        path: 'netdisk',
        module: NetdiskModule
      }
    ])
  ],
  controllers: [NetDiskManageController, NetDiskOverviewController],
  providers: [NetDiskManageService, NetDiskOverviewService, MinioService]
})
export class NetdiskModule {}
